Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#71273 - [gnome-control-center] Missing required dependency on libcolord

Attached to Project: Arch Linux
Opened by Jakub Fojtik (kubaf) - Wednesday, 16 June 2021, 17:27 GMT
Last edited by Eli Schwartz (eschwartz) - Wednesday, 16 June 2021, 20:16 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Gnome Settings window requires that libcolord is installed, or it will never show up, producing this error:
gnome-bluetooth-panel.desktop[2161]: gnome-control-center: error while loading shared libraries: libcolord.so.2: cannot open shared object file: No such file or directory


Additional info:
* package version(s) 40.0.1-2
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:
Try open any Settings window
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Wednesday, 16 June 2021, 20:16 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Already depends on libcolord via gtk3 and also via colord-gtk.
Comment by Jakub Fojtik (kubaf) - Wednesday, 16 June 2021, 17:32 GMT Comment by Eli Schwartz (eschwartz) - Wednesday, 16 June 2021, 20:09 GMT
I don't understand how you could possibly get this error, considering that gtk3 already requires libcolord installed (and even before the linked change, it required colord instead).
Comment by Eli Schwartz (eschwartz) - Wednesday, 16 June 2021, 20:14 GMT
Ah, and gnome-control-center specifically already depends on colord-gtk which in turn depends on, you guessed it, colord.

In fact, the gnome-control-center binary links to both libcolord.so and libcolord-gtk.so

Loading...